Gentoo Archives: gentoo-commits

From: Joonas Niilola <juippis@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/gscan2pdf/
Date: Fri, 14 Feb 2020 16:29:37
Message-Id: 1581697564.4a999472c12d98eac5fb6a60ac32ed3d5733cb00.juippis@gentoo
commit:     4a999472c12d98eac5fb6a60ac32ed3d5733cb00
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Tue Feb 11 19:57:24 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Feb 14 16:26:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a999472

media-gfx/gscan2pdf: version bump to 2.6.4

- Desktop entry file now includes MIME type support.
- Silence atk-bridge warnings during test phase.

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/gscan2pdf/Manifest               |  1 +
 media-gfx/gscan2pdf/gscan2pdf-2.6.4.ebuild | 96 ++++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+)

diff --git a/media-gfx/gscan2pdf/Manifest b/media-gfx/gscan2pdf/Manifest
index 1226b01e45f..1d1f5fa2339 100644
--- a/media-gfx/gscan2pdf/Manifest
+++ b/media-gfx/gscan2pdf/Manifest
@@ -1,3 +1,4 @@
 DIST gscan2pdf-1.8.11.tar.xz 409212 BLAKE2B 37cb716f13818eaffc39c210b810b845368cc5e323569e8f9d5603b5b412c4182520798321358e4c21339fdbd5f15026a0acd6421a49e7db79ecca86633c3ab0 SHA512 1ea09b8768771be4a1700cb8a6523d5f74fcbf0ebe459d97796032b56f896fd0c50e5ca1ed4c96aedef7e61f6952a92986153cc70173dd5ad91ccfb72461c565
 DIST gscan2pdf-2.6.2.tar.xz 458920 BLAKE2B e8c54654c10adae7d66844e3814025f8c934df935c315e48b6a2a34810b06b47d22208af22da04d872b2ac9737f5f5cba72d42fb2de92f1fa8110dbe64ba71ba SHA512 7b0bba012eab6edcaede2a2163935947ab9c71b21abb4cde8456f958537f84435a274a0ae6fb3827afd835f376d462ab5402e772307034936ec2b24889ecaec2
 DIST gscan2pdf-2.6.3.tar.xz 459276 BLAKE2B 395260a2034e9ac782c4c6104af5dc24561d271b45a359762cef990fce9f8343c6dc3c863ad66fc0ba56991df20945384edb695e3d94fa5fcc58c78ad039d380 SHA512 77478e7d35a90fd737a28f302bac214d3946cd5f0ce93f8d22b3485a6d1150ff2834433d028487fea4433a36a532714b4f47e8fbba3307c178fc161a0adbdbb0
+DIST gscan2pdf-2.6.4.tar.xz 460636 BLAKE2B 80d6123f8849ce305ca9b914da267f5b8898d6b3b660026ba075e5f8e10fc78093bb49d3186ec6a90d32b8c6ae0dade70fc146dcb677540810c06e91186bdbd7 SHA512 10d08b10f3101759757a2d98f2c2b41813a5f67234471f746ecda5ffebe085cb0d435343d05fa9107ed942785f707c7c2d8db6e430b1af335afe30b1d9079f08

diff --git a/media-gfx/gscan2pdf/gscan2pdf-2.6.4.ebuild b/media-gfx/gscan2pdf/gscan2pdf-2.6.4.ebuild
new file mode 100644
index 00000000000..58c42016341
--- /dev/null
+++ b/media-gfx/gscan2pdf/gscan2pdf-2.6.4.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_TEST="do"
+
+inherit eutils perl-module virtualx xdg-utils
+
+DESCRIPTION="Scan documents, perform OCR, produce PDFs and DjVus"
+HOMEPAGE="http://gscan2pdf.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	dev-perl/Config-General
+	dev-perl/Data-UUID
+	dev-perl/Date-Calc
+	dev-perl/Filesys-Df
+	dev-perl/glib-perl
+	dev-perl/GooCanvas2
+	dev-perl/Gtk3
+	dev-perl/Gtk3-SimpleList
+	dev-perl/HTML-Parser
+	dev-perl/Image-Sane
+	dev-perl/List-MoreUtils
+	dev-perl/Locale-gettext
+	dev-perl/Log-Log4perl
+	dev-perl/PDF-API2
+	dev-perl/Proc-ProcessTable
+	dev-perl/Readonly
+	dev-perl/Set-IntSpan
+	dev-perl/Try-Tiny
+	virtual/perl-Archive-Tar
+	virtual/perl-Carp
+	virtual/perl-Data-Dumper
+	virtual/perl-File-Temp
+	virtual/perl-Getopt-Long
+	virtual/perl-threads
+	virtual/perl-threads-shared
+	media-gfx/imagemagick[png,tiff,perl]
+	media-gfx/sane-backends
+	media-libs/tiff"
+
+BDEPEND="
+	test? (
+		${RDEPEND}
+		dev-perl/Sub-Override
+		media-libs/fontconfig
+
+		app-text/djvu[tiff]
+		app-text/poppler[utils]
+		app-text/tesseract[-opencl,osd(+),tiff]
+		app-text/unpaper
+		media-gfx/imagemagick[djvu,png,tiff,perl]
+		media-gfx/sane-backends[sane_backends_test]
+		media-gfx/sane-frontends
+	)"
+
+PERL_RM_FILES=( t/{90_MANIFEST,91_critic,99_pod}.t )
+
+mydoc="History"
+
+pkg_postinst() {
+	xdg_desktop_database_update
+
+	optfeature "DjVu file support" "app-text/djvu[tiff] media-gfx/imagemagick[djvu]"
+	optfeature "encrypting PDFs" app-text/pdftk
+	optfeature "creating PostScript files from PDFs" app-text/poppler[utils]
+	optfeature "adding to an existing PDF" app-text/poppler[utils]
+	optfeature "Optical Character Recognition" app-text/tesseract[osd,tiff]
+	optfeature "scan post-processing" app-text/unpaper
+	optfeature "automatic document feeder support" media-gfx/sane-frontends
+	optfeature "sending PDFs as email attachments" x11-misc/xdg-utils
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}
+
+src_test(){
+	local confdir="${HOME}/.config/ImageMagick"
+	mkdir -p "${confdir}" || die
+	cat > "${confdir}/policy.xml" <<-EOT || die
+		<policymap>
+			<policy domain="coder" rights="read|write" pattern="PDF" />
+			<policy domain="coder" rights="read" pattern="PS" />
+		</policymap>
+	EOT
+	NO_AT_BRIDGE=1 virtx perl-module_src_test
+}